(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                           Pretransformation                         *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                  Alain Deutsch, INRIA Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

type inline_info

val inline_sup_info : inline_info ref

val to_trivial : Typedtree.expression -> ((Typedtree.pattern *
	Typedtree.expression) * Typedtree.expression)
val simplify : Typedtree.expression -> Typedtree.expression
val put_inline_info : inline_info -> Asttypes.rec_flag -> 
     (Typedtree.pattern * Typedtree.expression) -> inline_info
