/***********************************************************************/
/*                                                                     */
/*                           Objective Caml                            */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1996 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* $Id: unlink.c,v 1.1.1.1 1997/09/09 17:38:33 blanchet Exp $ */

#include <mlvalues.h>
#include "unixsupport.h"

value unix_unlink(path)          /* ML */
     value path;
{
  if (unlink(String_val(path)) == -1) uerror("unlink", path);
  return Val_unit;
}
